.header{
    background-color: #fff8;
    /* background-color: #0005; */
    z-index: 0;
    top: 0;
    left: 0;
    position: fixed;
    width: 100%;
    height: 65px;
    display: flex;
    font-size: large;
    font-weight: 600;
    align-items: center;
    justify-content: center;
    transition: background-color 0.3s ease;
}

.logoBanner{
    height: 4vw;
    width: fit-content;
    margin-left: 10px;
    background-color: #fff5;
}

.menuLines{
    display: none;
}

/* ------------------------------------------------------       Menu bar Start       ----------------------------------------------------- */

.menu{
    display: flex;
    font-weight:600;
    font-family:'system-ui';
    text-align: center;
    margin: auto;
    align-items: center;
    justify-content: space-evenly;
}

.menuIcons{
    height: 1.5vw;
    width: fit-content;
    margin-right: 5px;
}

.profileMenuImage{
    margin-right: 30px;
    height: 3vw;
    width: 3vw;
    border-radius: 100%;
    display: flex;
}

.myprofileLink{
    display: none;
}

.menulink{
    text-decoration:none;
    border-radius:10px;
    font-size: 100%;
    color:#000;
    background-color: transparent;
    margin:9px;
    padding:7px 10px;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    transition: background-color 0.5s ease;
}

.menulink:hover ,.myprofileLink:hover{
    background-color:#fff5;
}

.userLoginBtn{
    background: transparent;
    color: #fff;
    padding: 10px;
    font-family: 'Century Gothic';
    border: none;
    outline: none;
    font-weight: 600;
    font-size: 1.2em;  
    border-radius: 50%;
    margin-left: 10px;
    margin-right: 10px; 
    cursor: pointer;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.userLoginBtn:hover{
    background: #fff5;
    color: black;
}

.menu .userLoginBtn{
    display: none;
}

/* --------------------------------------------------       Menu bar End       --------------------------------------------------------- */

/* ------------------------------------------------------------------------------------------------------------------------------------- */

/* --------------------------------------------------       Responsive Start       ----------------------------------------------------- */

@media(max-width:1260px){
    
    .menuLines{
        display:grid;
        width:fit-content;
        height: fit-content;
        cursor: pointer;
        border-radius: 5px;
        margin:auto 10px auto auto;
        border: none;
        background-color: transparent;

    }

    .line1 , .line2 , .line3{
        width: 29px;
        height: 4px;
        margin:5.3px 6px;
        transition: 0.5s;
        background-color: black;
    }

    .active .line1{
        transform: translate(0px , 14.5px)rotate(45deg);
        transition: 0.5s;
        background-color: black;
    }

    .active .line2{
        opacity: 0;
        transition: 0s;
    }

    .active .line3{
        transform: translate(0px , -14.5px)rotate(-45deg);
        transition: 0.5s;
        background-color: black;
    }

    .menu{
        display: none;
    }

    .profileMenuImage{
        display: none;
    }

    .menu .profileMenuImage{
        margin:0;
        height: 4vw;
        align-items: center;
        width: 4vw;
        display: flex;
    }

    .myprofileLink{
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin: 10px 0 15px 0;
        padding: 7px 10px;
        border-radius: 10px;
    }

    .menuIcons{
        height: 2vw;
    }

    .menulink{
        padding:10px 15px;
        justify-content:space-around;
    }

    .active_menu{
        display: grid;
        background: rgba(217,217,217,0.7);
        width:70%;
        border:none;
        height: fit-content;
        border-radius:5px;
        flex-direction: column;
        justify-content: center;
        margin-top: 8.5vh;
        padding: 10px auto;
        border: none;
        z-index: 999;
    }

    form .userLoginBtn{
        display: none;
    }

    .menu .userLoginBtn{
        display: flex;
        margin:10px;
        border-radius: 10px;
        background: transparent;
        color: black;
        text-decoration: none;
    }

    .menu .userLoginBtn:hover{
        background: #86a8aa;
        color: #F6F4F3;
    }
}
/* ------------------------------------------------------------------------------------------------------------------- */
@media(max-width:980px){

    .header{
        height: 50px;
    }
    
    .line1 , .line2, .line3{
        height:3px;
        width:25px;
        margin:4.5px 6px;
    }
    
    .active .line1{
        transform: translate(0px , 12px)rotate(45deg);
        transition: 0.2s;
    }
    
    .active .line3{
        transform: translate(0px , -12px)rotate(-45deg);
        transition: 0.2s;
    }

    .active_menu{
        width:60%;
        margin-top: 7vh;
    }

    .menuIcons{
        height: 2.5vw;
        margin-right: 5px;
    }

    .menu .userLoginBtn{
        padding: 10px 20px;
        justify-content: space-between;
    }

    .carousel .list{
        width: 10%;
        height: 30vh;
        margin-top: 10px;
    }

}

/* --------------------------------------------------       Responsive End       ----------------------------------------------------- */


/*--------------------------slider--------------------------------------------------------------*/


.Main{
    background: #000;
    color: #eee;
}

.Main a{
    text-decoration: none;
    color :#000;
}

.Main header{
    position: relative;
    z-index: 2;
}

header a{
    margin-right: 10px;
}

/* carosel */

.carousel{
    width: 100%;
    height: 100%;
    overflow: hidden;
    margin-top: -45px;
    position: relative;
}

.carousel .list .item{
    position: absolute;
    inset: 0 0 0 0;
}

.carousel .list .item img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: 0;
}

/* thumbnail */

.thumbnail{
    position: absolute;
    bottom: 50px;
    left: 50%;
    width: max-content;
    z-index: 1;
    display: flex;
    gap: 20px;
}

.thumbnail .item{
    width: 150px;
    height: 220px;
    flex-shrink: 0;
    position: relative;
}

.thumbnail .item img{
    height: 100%;
    width: 100%;
    object-fit: cover;
    border-radius: 20px;
}

/* arrows  */

.arrows{
    position: absolute;
    top: 80%;
    right: 52%;
    width: 300px;
    max-width: 30%;
    display: flex;
    gap: 10px;
    align-items: center;
}

.arrows button{
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background-color: #f1683a;
    border: none;
    font-family: monospace;
    color: #000;
    font-weight: bold;
    font-size: large;
    transition: .5s;
    z-index: 1;
    cursor: pointer;
}

.arrows button:hover{
    background-color: #000;
    box-shadow: 0 0 12px #f1683a;
    color: #f1683a;
    cursor: pointer;
}

.carousel .list .item:nth-child(1){
    z-index: 1;
}

/* effect next click */

.carousel.next .list .item:nth-child(1) img{
    width: 150px;
    height: 220px;
    position:absolute;
    left: 50%;
    bottom: 50px;
    border-radius: 20px;
    animation: ShowImage 0.5s linear 1 forwards;
}

@keyframes ShowImage{
    to{
        width: 100%;
        height: 100%;
        left: 0;
        bottom: 0;
        border-radius: 0;
    }
}

.carousel.next .thumbnail .item:nth-last-child(1){
    width: 0;
    overflow: hidden;
    animation: ShowThumbnail .5s linear 1 forwards;
}

@keyframes ShowThumbnail{
    to{
        width: 150px;
    }
}

.carousel.next .thumbnail{
    transform: translateX(150px);
    animation: transformThumbnail .5s linear 1 forwards;
}

@keyframes transformThumbnail{
    to{
        transform: translateX(0);
    }
}

/* effect prev click */

.carousel.prev .list .item:nth-child(2){
    z-index: 2;
}

.carousel.prev .list .item:nth-child(2) img{
    position: absolute;
    bottom: 0;
    left: 0;
    animation: OutImagePrev 0.5s linear 1 forwards;
}

@keyframes OutImagePrev{
    to{
        width: 150px;
        height: 220px;
        border-radius: 20px;
        left: 50%;
        bottom: 50px;
    }
}

.carousel.prev .thumbnail .item:nth-child(1){
    width: 0;
    overflow: hidden;
    opacity: 0;
    animation: ShowThumbnail 0.5s linear 1 forwards;
}

.carousel.prev .list .item:nth-child(2) .author,
.carousel.prev .list .item:nth-child(2) .title,
.carousel.prev .list .item:nth-child(2) .topic,
.carousel.prev .list .item:nth-child(2) .des,
.carousel.prev .list .item:nth-child(2) .buttons {
    animation: contentOut 1.5s linear 1 forwards;
}

@keyframes contentOut{
    to{
        transform: translateY(-150px);
        filter: blur(20px);
        opacity: 0;
    }
}

.carousel.prev .arrows button,
.carousel.next .arrows button{
    pointer-events: none;
}

/* time */

.time{
    width: 0%;
    height: 5px;
    background-color: #f1683a;
    position: absolute;
    z-index: 1;
    top: 3;
    left: 0;
}

.carousel.next .time,
.carousel.prev .time{
    width: 100%;
    animation: timeRunning 3s linear 1 forwards;
}

@keyframes timeRunning{
    to{
        width: 0;
    }
}